% This file controls the styling for the entire document

\usepackage{titlesec}
\usepackage{sectsty}
\usepackage{hyperref}
\usepackage{float}
\usepackage{booktabs}
\usepackage{array}
\usepackage{tabularx}
\usepackage{sectsty}
\usepackage{titletoc}
\usepackage{titling}
\usepackage{parskip}
\usepackage{listings}

\setcounter{secnumdepth}{4}

% Custom colors
\definecolor{lightblue}{RGB}{173,216,230}
\definecolor{lightorange}{RGB}{255, 215, 189}

\linespread{1.25}
\setlength\aboverulesep{0pt}
\setlength\belowrulesep{0pt}

% Spacing between rows in tables
\renewcommand{\arraystretch}{1.5}

% Padding around equations
\setlength{\abovedisplayskip}{10pt}
\setlength{\belowdisplayskip}{10pt}
\setlength{\abovedisplayshortskip}{10pt}
\setlength{\belowdisplayshortskip}{10pt}

% \renewcommand{\ttdefault}{lmvtt}
% \renewcommand{\familydefault}{\ttdefault}

% hyper link config
\hypersetup{colorlinks, linkcolor={blue!30!black}, citecolor={blue!30!black}, urlcolor={blue!40!black}}

% \setlength{\parskip}{0.5em}

% Fix ToC, LoT, LoF, and LoE colors and size
\renewcommand{\contentsname}{Table of Contents}
\renewcommand{\cfttoctitlefont}{\color{AU Primary Orange}\normalfont\Large\bfseries}
\renewcommand{\cftloftitlefont}{\color{AU Primary Orange}\normalfont\Large\bfseries}
\renewcommand{\cftlottitlefont}{\color{AU Primary Orange}\normalfont\Large\bfseries}
\renewcommand\cftaftertoctitle{\color{AU Primary Orange}\vskip2ex\par\noindent\hrule height 2pt\hfill\par}
\renewcommand\cftafterlottitle{\color{AU Primary Orange}\vskip2ex\par\noindent\hrule height 2pt\hfill\par}
\renewcommand\cftafterloftitle{\color{AU Primary Orange}\vskip2ex\par\noindent\hrule height 2pt\hfill\par}
\renewcommand\cftafterequtitle{\color{AU Primary Orange}\vskip2ex\par\noindent\hrule height 2pt\hfill\par}


% Match formatting or list of equations with the defaults for LOF, LOT, and TOC
\setlength{\cftfigindent}{0em}
\setlength{\cfttabindent}{0em}

% Fix Equations list to match the other lists
\setlength{\cftmyequationsindent}{0em}
\setlength{\cftmyequationsnumwidth}{2.3em}
\renewcommand{\cftequtitlefont}{\color{AU Primary Orange}\normalfont\Large\bfseries}


% Section colors
\sectionfont{
    \color{AU Primary Orange}
    \sectionrule{0ex}{0pt}{-2ex}{2pt}
} \subsectionfont{
    \color{AU Secondary Blue}
    \sectionrule{0ex}{0pt}{-2ex}{1pt}
}
\subsubsectionfont{\color{AU Secondary Orange}}
\paragraphfont{\color{AU Secondary Blue}}


% Header and footer config
\fancypagestyle{plain}{
    \pagestyle{fancy}
    \fancyhf{}
    \setlength\headheight{0pt}
    \fancyfoot[L]{Auburn University Rocketry Association}
    \fancyfoot[R]{\thepage}
    \fancyfoot[C]{}
    \renewcommand{\headrulewidth}{0pt}
    \renewcommand{\footrulewidth}{2pt}

    \renewcommand{\footrule}{\hbox to\headwidth{\color{AU Secondary Blue}\leaders\hrule height \footrulewidth\hfill}}
}

\pagestyle{plain}

\lstdefinestyle{CStyle}{
    backgroundcolor=\color{white},   
    commentstyle=\color{gray},
    keywordstyle=\color{blue},
    numberstyle=\tiny\color{gray},
    stringstyle=\color{green},
    basicstyle=\footnotesize,
    breakatwhitespace=false,         
    breaklines=true,                 
    captionpos=b,                    
    keepspaces=true,                 
    numbers=left,                    
    numbersep=5pt,                  
    showspaces=false,                
    showstringspaces=false,
    showtabs=false,                  
    tabsize=4,
    language=C
}
